//
// XMM Science Analysis System
//
//  Giuseppe Vacanti (cosine science & computing)
//  February 15, 2002
// 
//   $Id: emproc.cc,v 1.1 2002/03/08 14:14:06 gvacanti Exp $

#include <emproc.h>
#include <Emproc.h>


void emproc()
{
  PROC

  std::vector<std::string> p;
  ParameterInfo& pars = *Info::Task::current()->parameters();
  if(pars["selectinstruments"]->boolValue()){
    if(pars["emos1"]->boolValue())
      p.push_back("EMOS1");
    if(pars["emos2"]->boolValue())
      p.push_back("EMOS2");
  } else {
    p.push_back("EMOS1");
    p.push_back("EMOS2");
  }    

  for(unsigned k=0; k<p.size(); ++k){

    errstr << "Processing data for instrument " << Xmm::toInstrument(p[k])
	   << Sas::message(Msg::Meta, Msg::Silent);
    Emproc p(Xmm::toInstrument(p[k]));
    p.process();
  }
  ENDPROC
}
